All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Interface MergeServiceConfigInterface

All Known Implementing Classes:
  ServiceProfile

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface MergeServiceConfigInterface

Interface used to merge a service configuration from a UTF-8 encoded XML file into a foundation service's configuration.

Since:
  9.2

Method Summary
`abstract void` | `mergeServiceConfig(java.io.File file, ServiceDeployment serviceDeployment, com.sas.metadata.remote.ServiceComponent serviceComponent, com.sas.metadata.remote.Property applicationConfigProperty)` Merges the service configuration from a UTF-8 encoded XML file into a foundation service's configuration.

Method Detail

### mergeServiceConfig

    void mergeServiceConfig(java.io.File file,
                            ServiceDeployment serviceDeployment,
                            com.sas.metadata.remote.ServiceComponent serviceComponent,
                            com.sas.metadata.remote.Property applicationConfigProperty)
                            throws ServiceException

  Merges the service configuration from a UTF-8 encoded XML file into a foundation service's configuration.

  Parameters:
    `file` - The destination file to which a UTF-8 encoded representation of the service configuration will be written as XML.
    `serviceDeployment` - Service deployment.
    `serviceComponent` - The service component whose configuration is to be updated.
    `applicationConfigProperty` - The service configuration property into which the configuration is to be merged.
  Throws:
    `ServiceException` - if unable to export the service's configuration to a file.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.